## Command File Mode

In command file mode, a command file written by the user is processed sequentially. The command file can contain any sequence of Loader commands and SQL statements.

### Use

You can start Loader CLI in command file mode. To do so, enter the following command:

loadercli –b <command_file>

If, for example, you want to transfer the connection information at the same time as the Loader CLI is called, use the corresponding options.

loadercli –b <command_file>
[<connect_options>]
[<in_output_options]
[<version_options>]

### Features

After option –b enter the name of the command file and (optionally) the requested options for establishing the connection, for input and output control and for version queries.

command_file

<command_file> | Command file

See also: Command File

connect_options

-d <database_name> | Name of database instance
-u <database_user>[,<password>] | Name and password of the database user
-n <database_computer>[:<port>] | Name of the database computer Default value: local computer
-s <schema_name> | Name of the database schema Default value: schema of the current database user
-e <encryption> | Encryption method Possible values: SSL (currently, only SSL/TLS encryption is supported in SAP systems)

See also: Options for Establishing a Connection

in_output_options

-o[w|a] <file_name> | Name of the output file
-cs <separator> | Specifies a command separator
-ps <number><string> | Specifies a substitution parameter
-E <number> | Maximum permitted number of errors

See also: Options for Input and Output

version_options

-V | Version of the Loader server
-v | Version of the Loader CLI
-R <dependent_path> | Directory that contains the programs that depend on the version of the database software

See also: Options for Determining Version Information

### Examples

loadercli -b command.dat -d demodb -u mona,red –E 20

The Loader establishes a connection to the database instance DEMOB for the user MONA. The Loader processes the commands and statements contained in the command file command.dat.

If errors occur (return code <> 0) in doing this, the processing of the command file is terminated as soon as 20 error messages have appeared.

For more examples, see the Loader-Tutorial, Command File Mode.

### Explanation

The Loader reads the commands and SQL statements from the specified <command_file> and transfers it to the Loader server.

A command file can also be generated by generating the design data in transport mode.

See also:

Call Options of the Loader CLI

Log File